# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import dlcmapi_client
from dlcmapi_client.api.admin_api import AdminApi  # noqa: E501
from dlcmapi_client.rest import ApiException


class TestAdminApi(unittest.TestCase):
    """AdminApi unit test stubs"""

    def setUp(self):
        self.api = dlcmapi_client.api.admin_api.AdminApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_admin_application_roles_delete_by_id(self):
        """Test case for admin_application_roles_delete_by_id

        """
        pass

    def test_admin_application_roles_get(self):
        """Test case for admin_application_roles_get

        """
        pass

    def test_admin_application_roles_get_by_id(self):
        """Test case for admin_application_roles_get_by_id

        """
        pass

    def test_admin_application_roles_patch_by_id(self):
        """Test case for admin_application_roles_patch_by_id

        """
        pass

    def test_admin_application_roles_post(self):
        """Test case for admin_application_roles_post

        """
        pass

    def test_admin_archive_acl_delete_by_id(self):
        """Test case for admin_archive_acl_delete_by_id

        """
        pass

    def test_admin_archive_acl_get(self):
        """Test case for admin_archive_acl_get

        """
        pass

    def test_admin_archive_acl_get_by_id(self):
        """Test case for admin_archive_acl_get_by_id

        """
        pass

    def test_admin_archive_acl_patch_by_id(self):
        """Test case for admin_archive_acl_patch_by_id

        """
        pass

    def test_admin_archive_acl_post(self):
        """Test case for admin_archive_acl_post

        """
        pass

    def test_admin_archive_ratings_delete_by_id(self):
        """Test case for admin_archive_ratings_delete_by_id

        """
        pass

    def test_admin_archive_ratings_get(self):
        """Test case for admin_archive_ratings_get

        """
        pass

    def test_admin_archive_ratings_get_by_id(self):
        """Test case for admin_archive_ratings_get_by_id

        """
        pass

    def test_admin_archive_ratings_patch_by_id(self):
        """Test case for admin_archive_ratings_patch_by_id

        """
        pass

    def test_admin_archive_ratings_post(self):
        """Test case for admin_archive_ratings_post

        """
        pass

    def test_admin_archive_statistics_get(self):
        """Test case for admin_archive_statistics_get

        """
        pass

    def test_admin_archive_statistics_get_by_id(self):
        """Test case for admin_archive_statistics_get_by_id

        """
        pass

    def test_admin_archive_types_delete_by_id(self):
        """Test case for admin_archive_types_delete_by_id

        """
        pass

    def test_admin_archive_types_get(self):
        """Test case for admin_archive_types_get

        """
        pass

    def test_admin_archive_types_get_by_id(self):
        """Test case for admin_archive_types_get_by_id

        """
        pass

    def test_admin_archive_types_patch_by_id(self):
        """Test case for admin_archive_types_patch_by_id

        """
        pass

    def test_admin_archive_types_post(self):
        """Test case for admin_archive_types_post

        """
        pass

    def test_admin_dissemination_policies_delete_by_id(self):
        """Test case for admin_dissemination_policies_delete_by_id

        """
        pass

    def test_admin_dissemination_policies_get(self):
        """Test case for admin_dissemination_policies_get

        """
        pass

    def test_admin_dissemination_policies_get_by_id(self):
        """Test case for admin_dissemination_policies_get_by_id

        """
        pass

    def test_admin_dissemination_policies_patch_by_id(self):
        """Test case for admin_dissemination_policies_patch_by_id

        """
        pass

    def test_admin_dissemination_policies_post(self):
        """Test case for admin_dissemination_policies_post

        """
        pass

    def test_admin_funding_agencies_delete_by_id(self):
        """Test case for admin_funding_agencies_delete_by_id

        """
        pass

    def test_admin_funding_agencies_get(self):
        """Test case for admin_funding_agencies_get

        """
        pass

    def test_admin_funding_agencies_get_by_id(self):
        """Test case for admin_funding_agencies_get_by_id

        """
        pass

    def test_admin_funding_agencies_patch_by_id(self):
        """Test case for admin_funding_agencies_patch_by_id

        """
        pass

    def test_admin_funding_agencies_post(self):
        """Test case for admin_funding_agencies_post

        """
        pass

    def test_admin_get(self):
        """Test case for admin_get

        """
        pass

    def test_admin_institutions_delete_by_id(self):
        """Test case for admin_institutions_delete_by_id

        """
        pass

    def test_admin_institutions_get(self):
        """Test case for admin_institutions_get

        """
        pass

    def test_admin_institutions_get_by_id(self):
        """Test case for admin_institutions_get_by_id

        """
        pass

    def test_admin_institutions_patch_by_id(self):
        """Test case for admin_institutions_patch_by_id

        """
        pass

    def test_admin_institutions_post(self):
        """Test case for admin_institutions_post

        """
        pass

    def test_admin_languages_delete_by_id(self):
        """Test case for admin_languages_delete_by_id

        """
        pass

    def test_admin_languages_get(self):
        """Test case for admin_languages_get

        """
        pass

    def test_admin_languages_get_by_id(self):
        """Test case for admin_languages_get_by_id

        """
        pass

    def test_admin_languages_patch_by_id(self):
        """Test case for admin_languages_patch_by_id

        """
        pass

    def test_admin_languages_post(self):
        """Test case for admin_languages_post

        """
        pass

    def test_admin_licenses_delete_by_id(self):
        """Test case for admin_licenses_delete_by_id

        """
        pass

    def test_admin_licenses_get(self):
        """Test case for admin_licenses_get

        """
        pass

    def test_admin_licenses_get_by_id(self):
        """Test case for admin_licenses_get_by_id

        """
        pass

    def test_admin_licenses_patch_by_id(self):
        """Test case for admin_licenses_patch_by_id

        """
        pass

    def test_admin_licenses_post(self):
        """Test case for admin_licenses_post

        """
        pass

    def test_admin_metadata_types_delete_by_id(self):
        """Test case for admin_metadata_types_delete_by_id

        """
        pass

    def test_admin_metadata_types_get(self):
        """Test case for admin_metadata_types_get

        """
        pass

    def test_admin_metadata_types_get_by_id(self):
        """Test case for admin_metadata_types_get_by_id

        """
        pass

    def test_admin_metadata_types_patch_by_id(self):
        """Test case for admin_metadata_types_patch_by_id

        """
        pass

    def test_admin_metadata_types_post(self):
        """Test case for admin_metadata_types_post

        """
        pass

    def test_admin_notifications_delete_by_id(self):
        """Test case for admin_notifications_delete_by_id

        """
        pass

    def test_admin_notifications_get(self):
        """Test case for admin_notifications_get

        """
        pass

    def test_admin_notifications_get_by_id(self):
        """Test case for admin_notifications_get_by_id

        """
        pass

    def test_admin_notifications_patch_by_id(self):
        """Test case for admin_notifications_patch_by_id

        """
        pass

    def test_admin_notifications_post(self):
        """Test case for admin_notifications_post

        """
        pass

    def test_admin_organizational_units_delete_by_id(self):
        """Test case for admin_organizational_units_delete_by_id

        """
        pass

    def test_admin_organizational_units_get(self):
        """Test case for admin_organizational_units_get

        """
        pass

    def test_admin_organizational_units_get_by_id(self):
        """Test case for admin_organizational_units_get_by_id

        """
        pass

    def test_admin_organizational_units_patch_by_id(self):
        """Test case for admin_organizational_units_patch_by_id

        """
        pass

    def test_admin_organizational_units_post(self):
        """Test case for admin_organizational_units_post

        """
        pass

    def test_admin_people_delete_by_id(self):
        """Test case for admin_people_delete_by_id

        """
        pass

    def test_admin_people_get(self):
        """Test case for admin_people_get

        """
        pass

    def test_admin_people_get_by_id(self):
        """Test case for admin_people_get_by_id

        """
        pass

    def test_admin_people_patch_by_id(self):
        """Test case for admin_people_patch_by_id

        """
        pass

    def test_admin_people_post(self):
        """Test case for admin_people_post

        """
        pass

    def test_admin_preservation_policies_delete_by_id(self):
        """Test case for admin_preservation_policies_delete_by_id

        """
        pass

    def test_admin_preservation_policies_get(self):
        """Test case for admin_preservation_policies_get

        """
        pass

    def test_admin_preservation_policies_get_by_id(self):
        """Test case for admin_preservation_policies_get_by_id

        """
        pass

    def test_admin_preservation_policies_patch_by_id(self):
        """Test case for admin_preservation_policies_patch_by_id

        """
        pass

    def test_admin_preservation_policies_post(self):
        """Test case for admin_preservation_policies_post

        """
        pass

    def test_admin_rating_types_delete_by_id(self):
        """Test case for admin_rating_types_delete_by_id

        """
        pass

    def test_admin_rating_types_get(self):
        """Test case for admin_rating_types_get

        """
        pass

    def test_admin_rating_types_get_by_id(self):
        """Test case for admin_rating_types_get_by_id

        """
        pass

    def test_admin_rating_types_patch_by_id(self):
        """Test case for admin_rating_types_patch_by_id

        """
        pass

    def test_admin_rating_types_post(self):
        """Test case for admin_rating_types_post

        """
        pass

    def test_admin_research_domains_delete_by_id(self):
        """Test case for admin_research_domains_delete_by_id

        """
        pass

    def test_admin_research_domains_get(self):
        """Test case for admin_research_domains_get

        """
        pass

    def test_admin_research_domains_get_by_id(self):
        """Test case for admin_research_domains_get_by_id

        """
        pass

    def test_admin_research_domains_patch_by_id(self):
        """Test case for admin_research_domains_patch_by_id

        """
        pass

    def test_admin_research_domains_post(self):
        """Test case for admin_research_domains_post

        """
        pass

    def test_admin_roles_delete_by_id(self):
        """Test case for admin_roles_delete_by_id

        """
        pass

    def test_admin_roles_get(self):
        """Test case for admin_roles_get

        """
        pass

    def test_admin_roles_get_by_id(self):
        """Test case for admin_roles_get_by_id

        """
        pass

    def test_admin_roles_patch_by_id(self):
        """Test case for admin_roles_patch_by_id

        """
        pass

    def test_admin_roles_post(self):
        """Test case for admin_roles_post

        """
        pass

    def test_admin_scheduled_tasks_delete_by_id(self):
        """Test case for admin_scheduled_tasks_delete_by_id

        """
        pass

    def test_admin_scheduled_tasks_get(self):
        """Test case for admin_scheduled_tasks_get

        """
        pass

    def test_admin_scheduled_tasks_get_by_id(self):
        """Test case for admin_scheduled_tasks_get_by_id

        """
        pass

    def test_admin_scheduled_tasks_patch_by_id(self):
        """Test case for admin_scheduled_tasks_patch_by_id

        """
        pass

    def test_admin_scheduled_tasks_post(self):
        """Test case for admin_scheduled_tasks_post

        """
        pass

    def test_admin_submission_agreements_delete_by_id(self):
        """Test case for admin_submission_agreements_delete_by_id

        """
        pass

    def test_admin_submission_agreements_get(self):
        """Test case for admin_submission_agreements_get

        """
        pass

    def test_admin_submission_agreements_get_by_id(self):
        """Test case for admin_submission_agreements_get_by_id

        """
        pass

    def test_admin_submission_agreements_patch_by_id(self):
        """Test case for admin_submission_agreements_patch_by_id

        """
        pass

    def test_admin_submission_agreements_post(self):
        """Test case for admin_submission_agreements_post

        """
        pass

    def test_admin_submission_policies_delete_by_id(self):
        """Test case for admin_submission_policies_delete_by_id

        """
        pass

    def test_admin_submission_policies_get(self):
        """Test case for admin_submission_policies_get

        """
        pass

    def test_admin_submission_policies_get_by_id(self):
        """Test case for admin_submission_policies_get_by_id

        """
        pass

    def test_admin_submission_policies_patch_by_id(self):
        """Test case for admin_submission_policies_patch_by_id

        """
        pass

    def test_admin_submission_policies_post(self):
        """Test case for admin_submission_policies_post

        """
        pass

    def test_admin_system_properties_get(self):
        """Test case for admin_system_properties_get

        """
        pass

    def test_admin_users_delete_by_id(self):
        """Test case for admin_users_delete_by_id

        """
        pass

    def test_admin_users_get(self):
        """Test case for admin_users_get

        """
        pass

    def test_admin_users_get_by_id(self):
        """Test case for admin_users_get_by_id

        """
        pass

    def test_admin_users_patch_by_id(self):
        """Test case for admin_users_patch_by_id

        """
        pass

    def test_admin_users_post(self):
        """Test case for admin_users_post

        """
        pass


if __name__ == '__main__':
    unittest.main()
